<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container-fluid">
    <%= link_to "Friends App", root_path, class:"navbar-brand" %>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <%= link_to "About", home_about_path, class:"nav-link btn" %>
        </li>
      </ul>
      <ul class="navbar-nav d-flex">
        <% if user_signed_in? %>
          <li class="nav-item">
            <%= link_to "Add Friend", new_friend_path, class:"nav-link btn" %>
          </li>
          <li class="nav-item">
            <%= button_to "Sign Out", destroy_user_session_path, method: :delete, class:"nav-link btn" %>
          </li>
          <li class="nav-item">
            <%= link_to "Edit Profile", edit_user_registration_path, class:"nav-link btn" %>
          </li>
        <% else %>
          <li class="nav-item">
            <%= link_to "Sign Up", new_user_registration_path, class:"nav-link btn" %>
          </li>
          <li class="nav-item">
            <%= link_to "Sign In", new_user_session_path, class:"nav-link btn" %>
          </li>
        <% end %>
      </ul>
      <%# <form class="d-flex">
        <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
        <button class="btn btn-outline-success" type="submit">Search</button>
      </form> %>
    </div>
  </div>
</nav>
<br/>
